getSignatureStatuses
POST
Returns the statuses of a list of signatures. Each signature must be a txid, the first signature of a transaction.Unless the
searchTransactionHistory configuration parameter is included, this method only searches the recent status cache of signatures, which retains statuses for all active slots plus MAX_RECENT_BLOCKHASHES rooted slots.Responses
idinteger
The request IDjsonrpcstring
The JSON-RPC versionAn object containing metadata about the current state of the Solana network at the time of the request.
apiVersionstring
The API version used for the requestslotinteger
The slot number at which the request was evaluatedslotinteger
The slot the transaction was processedconfirmationsinteger
Number of blocks since signature confirmation, null if rooted, as well as finalized by a supermajority of the clustererrobject
Error if transaction failed, null if transaction succeeded.statusobject
DEPRECATED Transaction status"Ok": <null> - Transaction was successful"Err": <ERR> - Transaction failed with TransactionErrorconfirmationStatusstring
The transaction's cluster confirmation status; Either processed, confirmed, or finalized.- processed - the transaction has been processed by the cluster
- confirmed - the transaction has been confirmed by the cluster
- finalized - the transaction has been finalized by the cluster
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "getSignatureStatuses","params": []}'